from django.contrib.sites.models import Site
from django.conf import settings
from django.utils import simplejson
from facebook.models import *
import urllib
try:
    from urlparse import parse_qs
except:
    from cgi import parse_qs

class FacebookBackend:
    def authenticate(self, token=None, request=None):
        args = dict(client_id=settings.FACEBOOK_APP_ID,
                    redirect_uri=Site.objects.get(id=settings.SITE_ID).domain + '/facebook/authenticate/',
                    scope='user_photos,email,user_birthday',
                    display='popup')
        args["client_secret"] = settings.FACEBOOK_SECRET_KEY
        args["code"] = token
        response = parse_qs(urllib.urlopen(
            "https://graph.facebook.com/oauth/access_token?" +
            urllib.urlencode(args)).read())
        access_token = response["access_token"][-1]
        me_json = urllib.urlopen("https://graph.facebook.com/me?" + urllib.urlencode(dict(access_token=access_token)))
        profile = simplejson.load(me_json)
        try:
            fb_user = FacebookUser.objects.get(facebook_id = str(profile["id"]))
        except FacebookUser.DoesNotExist:
            request.session['fb_id'] = profile['id']
            # line added
            request.session['fb_token'] = access_token
            return None
        fb_user.access_token = access_token
        fb_user.save()
        return fb_user.user

    def get_user(self, user_id):
        try:
            return User.objects.get(pk=user_id)
        except User.DoesNotExist:
            return None