import urllib

from django.http import HttpResponseRedirect
from django.core.urlresolvers import reverse
from django.conf import settings
from django.contrib.sites.models import Site
from django.contrib.auth import login, logout, authenticate
from django.utils import simplejson

from jumbo.shortcuts import render_to_response
from facebook.models import *

def authenticate_view(request):
    code = request.GET.get("code",None)
    args = dict(client_id=settings.FACEBOOK_APP_ID, redirect_uri=Site.objects.get(id=settings.SITE_ID).domain + '/facebook/authenticate/')
    if code != None:
        user = authenticate(token=code, request=request)
        if user != None:
            login(request, user)
            return HttpResponseRedirect('/')
        else:
            # lines added
            request.session['ask_to_login_facebook'] = '1'
            return HttpResponseRedirect('/')
              #return HttpResponseRedirect('/register/')
    else:
        return HttpResponseRedirect("http://www.facebook.com/dialog/oauth?" + urllib.urlencode(args))


def register(request):
    if request.method == "POST":
        user = User.objects.create_user(request.POST["username"], request.POST["email"])
        fb_user = FacebookUser(user = user, facebook_id = request.session['fb_id'])
        fb_user.save()
        return HttpResponseRedirect('/authenticate/')
    else:
        return render_to_response("anonymous/register.html")

def logout_view(request):
    logout(request)
    return HttpResponseRedirect('/')

def detail(request):
    me_json = urllib.urlopen("https://graph.facebook.com/" + request.user.facebook_user.facebook_id)
    profile = simplejson.load(me_json)

    #print "https://graph.facebook.com/" + request.user.facebook_user.facebook_id + '/albums/'
    #me_json = urllib.urlopen("https://graph.facebook.com/" + request.user.facebook_user.facebook_id + '/albums/')
    #album = simplejson.load(me_json)
    #print album

    return render_to_response("facebook/detail.html", profile=profile)