from django.core.urlresolvers import reverse
from django.utils.translation import ugettext_lazy as _
from django.conf import settings
from admin_tools.dashboard import modules, Dashboard, AppIndexDashboard

class JumboIndexDashboard(Dashboard):
    def __init__(self, **kwargs):
        super(JumboIndexDashboard, self).__init__(**kwargs)
        self.columns = 3


    def init_with_context(self, context):
        #site_name = get_admin_site_name(context)
        
        self.children.append(modules.AppList(
            title=_('Application'),
            exclude=('django.contrib.*',),
        ))
        self.children.append(modules.AppList(
            title=_('Administration'),
            models=('django.contrib.*',),
        ))
        self.children.append(modules.RecentActions(_('Recent Actions'), 5))

class JumboAppIndexDashboard(AppIndexDashboard):
    def __init__(self, *args, **kwargs):
        super(JumboAppIndexDashboard, self).__init__(*args, **kwargs)
        # we don't want a title, it's redundant
        self.title = ''
        # append a model list module that lists all models
        # for the app
        self.children.append(modules.ModelList(
            title=self.app_title,
            models=self.models,
        ))
