import datetime

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jumbo.conf.admin_menu import GenericMenuItem
from jumbo.middleware.thread_local import get_current_user
from django import settings

def get_root_menu(children):
    user = get_current_user()
    if not user.has_perm("auth.change_jumbouser"):
        return None

    root_menu = items.MenuItem(
        title=_('User'),
        children=[],
        url = "%s" % reverse('admin:auth_jumbouser_changelist')
    )
    children.append(root_menu)
