from django.contrib import admin
from django.utils.translation import get_language
from django.utils.translation import ugettext_lazy as _

from jumbo.apps.l10n.models import Country, AdministrativeArea

class AdministrativeAreaInline(admin.TabularInline):
    model = AdministrativeArea
    extra = 1
class CountryAdmin(admin.ModelAdmin):
    list_display = ('printable_name', 'iso2_code','iso3_code',)
    list_filter = ('continent', 'active')
    search_fields = ('name', 'iso2_code', 'iso3_code')
    inlines = [AdministrativeAreaInline]
admin.site.register(Country, CountryAdmin)

