# -*- coding: utf-8 -*-

from south.db import db
from django.db import models
from jumbo.apps.l10n.models import *

class Migration:
    
    def forwards(self, orm):
        
        # Adding model 'AdministrativeArea'
        db.create_table('l10n_administrativearea', (
            ('id', orm['l10n.AdministrativeArea:id']),
            ('country', orm['l10n.AdministrativeArea:country']),
            ('name', orm['l10n.AdministrativeArea:name']),
            ('abbrev', orm['l10n.AdministrativeArea:abbrev']),
            ('active', orm['l10n.AdministrativeArea:active']),
        ))
        db.send_create_signal('l10n', ['AdministrativeArea'])
        
        # Adding model 'Country'
        db.create_table('l10n_country', (
            ('id', orm['l10n.Country:id']),
            ('name', orm['l10n.Country:name']),
            ('printable_name', orm['l10n.Country:printable_name']),
            ('iso2_code', orm['l10n.Country:iso2_code']),
            ('iso3_code', orm['l10n.Country:iso3_code']),
            ('numcode', orm['l10n.Country:numcode']),
            ('active', orm['l10n.Country:active']),
            ('continent', orm['l10n.Country:continent']),
            ('admin_area', orm['l10n.Country:admin_area']),
        ))
        db.send_create_signal('l10n', ['Country'])
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'AdministrativeArea'
        db.delete_table('l10n_administrativearea')
        
        # Deleting model 'Country'
        db.delete_table('l10n_country')
        
    
    
    models = {
        'l10n.administrativearea': {
            'abbrev': ('django.db.models.fields.CharField', [], {'max_length': '3', 'null': 'True', 'blank': 'True'}),
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'country': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'administrative_areas'", 'to': "orm['l10n.Country']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '60', 'db_index': 'True'})
        },
        'l10n.country': {
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'admin_area': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '2', 'null': 'True', 'blank': 'True'}),
            'continent': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'iso2_code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '2', 'db_index': 'True'}),
            'iso3_code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '3'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            'numcode': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'printable_name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'})
        }
    }
    
    complete_apps = ['l10n']
