# -*- coding: utf-8 -*-

from south.db import db
from django.db import models
from jumbo.apps.menu.models import *
from jumbo.db import HackForeignKey
from jumbo.db.models import StatusField, HTMLField

class Migration:
    depends_on = (
        ("template", "0001_initial"),
    )

    def forwards(self, orm):
        
        # Adding model 'Category'
        db.create_table('menu_category', (
            ('id', orm['menu.Category:id']),
            ('date_create', orm['menu.Category:date_create']),
            ('date_last_modify', orm['menu.Category:date_last_modify']),
            ('status', orm['menu.Category:status']),
            ('ordering', orm['menu.Category:ordering']),
            ('creator', orm['menu.Category:creator']),
            ('last_modifier', orm['menu.Category:last_modifier']),
            ('name', orm['menu.Category:name']),
            ('default', orm['menu.Category:default']),
        ))
        db.send_create_signal('menu', ['Category'])
        
        # Adding model 'MenuTranslation'
        db.create_table('menu_menutranslation', (
            ('id', orm['menu.MenuTranslation:id']),
            ('language', orm['menu.MenuTranslation:language']),
            ('menu', orm['menu.MenuTranslation:menu']),
            ('caption', orm['menu.MenuTranslation:caption']),
        ))
        db.send_create_signal('menu', ['MenuTranslation'])
        
        # Adding model 'MenuIcon'
        db.create_table('menu_menuicon', (
            ('id', orm['menu.MenuIcon:id']),
            ('menu', orm['menu.MenuIcon:menu']),
            ('icon', orm['menu.MenuIcon:icon']),
            ('type', orm['menu.MenuIcon:type']),
            ('custom', orm['menu.MenuIcon:custom']),
        ))
        db.send_create_signal('menu', ['MenuIcon'])
        
        # Adding model 'Menu'
        db.create_table('menu_menu', (
            ('id', orm['menu.Menu:id']),
            ('status', orm['menu.Menu:status']),
            ('ordering', orm['menu.Menu:ordering']),
            ('parent', orm['menu.Menu:parent']),
            ('name', orm['menu.Menu:name']),
            ('category', orm['menu.Menu:category']),
            ('url', orm['menu.Menu:url']),
            ('open_choices', orm['menu.Menu:open_choices']),
            ('caption', orm['menu.Menu:caption']),
            ('slug', orm['menu.Menu:slug']),
            ('template', orm['menu.Menu:template']),
            ('permission', orm['menu.Menu:permission']),
        ))
        db.send_create_signal('menu', ['Menu'])
        
        # Creating unique_together for [language, menu] on MenuTranslation.
        db.create_unique('menu_menutranslation', ['language_id', 'menu_id'])
        
        # Creating unique_together for [menu, type, custom] on MenuIcon.
        db.create_unique('menu_menuicon', ['menu_id', 'type', 'custom'])
        
    
    
    def backwards(self, orm):
        
        # Deleting unique_together for [menu, type, custom] on MenuIcon.
        db.delete_unique('menu_menuicon', ['menu_id', 'type', 'custom'])
        
        # Deleting unique_together for [language, menu] on MenuTranslation.
        db.delete_unique('menu_menutranslation', ['language_id', 'menu_id'])
        
        # Deleting model 'Category'
        db.delete_table('menu_category')
        
        # Deleting model 'MenuTranslation'
        db.delete_table('menu_menutranslation')
        
        # Deleting model 'MenuIcon'
        db.delete_table('menu_menuicon')
        
        # Deleting model 'Menu'
        db.delete_table('menu_menu')
        
    
    
    models = {
        'auth.group': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)"},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'i18n.language': {
            'code': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'country': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'nationality': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        'menu.category': {
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'default': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '25'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'menu.menu': {
            'caption': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'category': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'menu'", 'null': 'True', 'to': "orm['menu.Category']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'open_choices': ('django.db.models.fields.CharField', [], {'default': "'1'", 'max_length': '5', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'children'", 'null': 'True', 'to': "orm['menu.Menu']"}),
            'permission': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'db_index': 'True', 'max_length': '50', 'blank': 'True'}),
            'status': ('StatusField', [], {}),
            'template': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'menu'", 'null': 'True', 'to': "orm['template.Template']"}),
            'url': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '256', 'null': 'True', 'blank': 'True'})
        },
        'menu.menuicon': {
            'Meta': {'unique_together': "(('menu', 'type', 'custom'),)"},
            'custom': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'icon': ('django.db.models.fields.files.ImageField', [], {'max_length': '255'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'menu': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'icons'", 'to': "orm['menu.Menu']"}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        'menu.menutranslation': {
            'Meta': {'unique_together': "(('language', 'menu'),)"},
            'caption': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['i18n.Language']"}),
            'menu': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'translations'", 'to': "orm['menu.Menu']"})
        },
        'template.template': {
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'default': ('HTMLField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'meta_description': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'meta_keywords': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'slug': ('django.db.models.fields.SlugField', [], {'db_index': 'True', 'max_length': '50', 'blank': 'True'})
        }
    }
    
    complete_apps = ['menu']
