# -*- coding: utf-8 -*-

from south.db import db
from jumbo.db import HackForeignKey
from django.db import models
from jumbo.db.models import StatusField
from jumbo.apps.menu.models import *

class Migration:
    depends_on = (
        ("template", "0001_initial"),
    )

    def forwards(self, orm):
        
        # Adding model 'MenuTranslation'
        db.create_table('menu_menutranslation', (
            ('text', models.TextField(blank=True, null=True, verbose_name=_('translated text'), db_index=True)),
            ('id', models.AutoField(primary_key=True)),
            ('language', models.ForeignKey(orm['i18n.Language'], verbose_name=_('language'))),
        ))
        db.send_create_signal('menu', ['MenuTranslation'])
        
        # Adding model 'Menu'
        db.create_table('menu_menu', (
            ('status', StatusField()),
            ('name', models.CharField(max_length=50, verbose_name=_('name for this node'), db_index=True)),
            ('parent', models.ForeignKey(orm.Menu, related_name='children', blank=True, null=True, verbose_name=_('parent menu'), db_index=True)),
            ('permission', models.CharField(verbose_name=_('permission'), max_length=100, null=True, blank=True)),
            ('ordering', models.IntegerField(default=0, verbose_name=_('ordering'))),
            ('open_choices', models.CharField(default='1', max_length=5, verbose_name=_('open in'), db_index=True)),
            ('slug', models.SlugField(db_index=True, verbose_name=_('slug'), blank=True)),
            ('url', models.CharField(max_length=256, blank=True, null=True, verbose_name=_('url'), db_index=True)),
            ('template', models.ForeignKey(orm['template.Template'], db_index=True, null=True, verbose_name=_('template to render'), blank=True)),
            ('active', models.BooleanField(default=True, verbose_name=_('is active'), db_index=True)),
            ('position', models.CharField(max_length=5, blank=True, null=True, verbose_name=_('position'))),
            ('id', models.AutoField(primary_key=True)),
        ))
        db.send_create_signal('menu', ['Menu'])
        
        # Adding ManyToManyField 'Menu.translation'
        db.create_table('menu_menu_translation', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('menu', models.ForeignKey(Menu, null=False)),
            ('menutranslation', models.ForeignKey(MenuTranslation, null=False))
        ))
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'MenuTranslation'
        db.delete_table('menu_menutranslation')
        
        # Deleting model 'Menu'
        db.delete_table('menu_menu')
        
        # Dropping ManyToManyField 'Menu.translation'
        db.delete_table('menu_menu_translation')
        
    
    
    models = {
        'menu.menutranslation': {
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'language': ('models.ForeignKey', ['Language'], {'verbose_name': "_('language')"}),
            'text': ('models.TextField', [], {'blank': 'True', 'null': 'True', 'verbose_name': "_('translated text')", 'db_index': 'True'})
        },
        'template.template': {
            'Meta': {'ordering': "('name',)"},
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'menu.menu': {
            'active': ('models.BooleanField', [], {'default': 'True', 'verbose_name': "_('is active')", 'db_index': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'name': ('models.CharField', [], {'max_length': '50', 'verbose_name': "_('name for this node')", 'db_index': 'True'}),
            'open_choices': ('models.CharField', [], {'default': "'1'", 'max_length': '5', 'verbose_name': "_('open in')", 'db_index': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'parent': ('models.ForeignKey', ["'self'"], {'related_name': "'children'", 'blank': 'True', 'null': 'True', 'verbose_name': "_('parent menu')", 'db_index': 'True'}),
            'permission': ('models.CharField', [], {'verbose_name': "_('permission')", 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'position': ('models.CharField', [], {'max_length': '5', 'blank': 'True', 'null': 'True', 'verbose_name': "_('position')"}),
            'slug': ('models.SlugField', [], {'db_index': 'True', 'verbose_name': "_('slug')", 'blank': 'True'}),
            'status': ('StatusField', [], {}),
            'template': ('models.ForeignKey', ['Template'], {'db_index': 'True', 'null': 'True', 'verbose_name': "_('template to render')", 'blank': 'True'}),
            'translation': ('models.ManyToManyField', ['MenuTranslation'], {'verbose_name': "_('menu translation')", 'blank': 'True', 'null': 'True', 'db_index': 'True'}),
            'url': ('models.CharField', [], {'max_length': '256', 'blank': 'True', 'null': 'True', 'verbose_name': "_('url')", 'db_index': 'True'})
        },
        'i18n.language': {
            'Meta': {'ordering': "('name',)"},
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        }
    }
    
    complete_apps = ['menu']
