# -*- coding: utf-8 -*-

from south.db import db
from jumbo.db import HackForeignKey
from django.db import models
from jumbo.db.models import StatusField
from jumbo.apps.menu.models import *

class Migration:
    
    no_dry_run = True
    
    def forwards(self, orm):
        for item in orm.MenuTranslation.objects.all():
            tmp = orm.TMPMenuTranslation()
            tmp.menu = item.menu_set.all()[0]
            tmp.caption = item.text or ''
            tmp.text = item.text
            tmp.language = item.language
            tmp.save()

        for menu in orm.Menu.objects.all():
            menu.translation = []

        for tr in orm.MenuTranslation.objects.all():
            tr.delete()
    
    
    def backwards(self, orm):
        "Write your backwards migration here"
    
    
    models = {
        'i18n.language': {
            'Meta': {'ordering': "('name',)"},
            'code': ('models.CharField', [], {'max_length': '2', 'verbose_name': "_('iso code language')"}),
            'country': ('models.CharField', [], {'max_length': '20', 'verbose_name': "_('country')"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'name': ('models.CharField', [], {'max_length': '20', 'verbose_name': "_('full name')"}),
            'nationality': ('models.CharField', [], {'max_length': '20', 'verbose_name': "_('nationality')"})
        },
        'menu.menutranslation': {
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'language': ('models.ForeignKey', ['Language'], {'verbose_name': "_('language')"}),
            'text': ('models.TextField', [], {'blank': 'True', 'null': 'True', 'verbose_name': "_('translated text')", 'db_index': 'True'})
        },
        'template.template': {
            'Meta': {'ordering': "('name',)"},
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'menu.menu': {
            'active': ('models.BooleanField', [], {'default': 'True', 'verbose_name': "_('is active')", 'db_index': 'True'}),
            'caption': ('models.CharField', [], {'verbose_name': "_('caption')", 'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'name': ('models.CharField', [], {'max_length': '50', 'verbose_name': "_('name for this node')", 'db_index': 'True'}),
            'open_choices': ('models.CharField', [], {'default': "'1'", 'max_length': '5', 'verbose_name': "_('open in')", 'db_index': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'parent': ('models.ForeignKey', ["'self'"], {'related_name': "'children'", 'blank': 'True', 'null': 'True', 'verbose_name': "_('parent menu')", 'db_index': 'True'}),
            'permission': ('models.CharField', [], {'verbose_name': "_('permission')", 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'position': ('models.CharField', [], {'max_length': '5', 'blank': 'True', 'null': 'True', 'verbose_name': "_('position')"}),
            'slug': ('models.SlugField', [], {'db_index': 'True', 'verbose_name': "_('slug')", 'blank': 'True'}),
            'status': ('StatusField', [], {}),
            'template': ('models.ForeignKey', ['Template'], {'db_index': 'True', 'null': 'True', 'verbose_name': "_('template to render')", 'blank': 'True'}),
            'translation': ('models.ManyToManyField', ['MenuTranslation'], {'verbose_name': "_('menu translation')", 'blank': 'True', 'null': 'True', 'db_index': 'True'}),
            'url': ('models.CharField', [], {'max_length': '256', 'blank': 'True', 'null': 'True', 'verbose_name': "_('url')", 'db_index': 'True'})
        },
        'menu.tmpmenutranslation': {
            'caption': ('models.CharField', [], {'max_length': '50', 'verbose_name': "_('translated caption')"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'language': ('models.ForeignKey', ['Language'], {'verbose_name': "_('language')"}),
            'menu': ('models.ForeignKey', ['Menu'], {'verbose_name': "_('menu')"}),
            'text': ('models.TextField', [], {'blank': 'True', 'null': 'True', 'verbose_name': "_('translated text')", 'db_index': 'True'})
        }
    }
    
    complete_apps = ['menu']
