# -*- coding: utf-8 -*-

from south.db import db
from jumbo.db import HackForeignKey
from django.db import models
from jumbo.db.models import StatusField
from jumbo.apps.menu.models import *

class Migration:
    
    def forwards(self, orm):
        
        # Adding model 'Category'
        db.create_table('menu_category', (
            ('status', StatusField()),
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('ordering', models.IntegerField(default=0, verbose_name=_('ordering'))),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('default', models.BooleanField(default=False, verbose_name=_('Default category'))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('name', models.CharField(max_length=25, unique=True, verbose_name=_('category name'))),
        ))
        db.send_create_signal('menu', ['Category'])
        
        # Adding field 'Menu.category'
        db.add_column('menu_menu', 'category', models.ForeignKey(orm.Category, related_name='menu', verbose_name=_('category menu'), blank=True, null=True))

        

    def backwards(self, orm):
        
        # Deleting model 'Category'
        db.delete_table('menu_category')
        
        # Deleting field 'Menu.category'
        db.delete_column('menu_menu', 'category_id')
        
    
    
    models = {
        'template.template': {
            'Meta': {'ordering': "('name',)"},
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'auth.user': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'menu.menutranslation': {
            'Meta': {'unique_together': "(('language','menu',),)"},
            'caption': ('models.CharField', [], {'max_length': '50', 'verbose_name': "_('translated caption')"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'language': ('models.ForeignKey', ['Language'], {'verbose_name': "_('language')"}),
            'menu': ('models.ForeignKey', ['Menu'], {'related_name': "'translations'", 'verbose_name': "_('menu')"})
        },
        'menu.menu': {
            'caption': ('models.CharField', [], {'verbose_name': "_('caption')", 'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'category': ('models.ForeignKey', ['Category'], {'related_name': "'menu'", 'null': 'True', 'verbose_name': "_('category menu')", 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'name': ('models.CharField', [], {'max_length': '50', 'verbose_name': "_('name for this node')", 'db_index': 'True'}),
            'open_choices': ('models.CharField', [], {'default': "'1'", 'max_length': '5', 'verbose_name': "_('open in')", 'db_index': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'parent': ('models.ForeignKey', ["'self'"], {'related_name': "'children'", 'blank': 'True', 'null': 'True', 'verbose_name': "_('parent menu')", 'db_index': 'True'}),
            'permission': ('models.CharField', [], {'verbose_name': "_('permission')", 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'position': ('models.CharField', [], {'max_length': '5', 'blank': 'True', 'null': 'True', 'verbose_name': "_('position')"}),
            'slug': ('models.SlugField', [], {'db_index': 'True', 'verbose_name': "_('slug')", 'blank': 'True'}),
            'status': ('StatusField', [], {}),
            'template': ('models.ForeignKey', ['Template'], {'db_index': 'True', 'null': 'True', 'verbose_name': "_('template to render')", 'blank': 'True'}),
            'url': ('models.CharField', [], {'max_length': '256', 'blank': 'True', 'null': 'True', 'verbose_name': "_('url')", 'db_index': 'True'})
        },
        'i18n.language': {
            'Meta': {'ordering': "('name',)"},
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'menu.category': {
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'default': ('models.BooleanField', [], {'default': 'False', 'verbose_name': "_('Default category')"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '25', 'unique': 'True', 'verbose_name': "_('category name')"}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'status': ('StatusField', [], {})
        }
    }
    
    complete_apps = ['menu']
