import datetime

from django import forms
from django.utils.translation import ugettext_lazy as _
from django.forms.util import ValidationError, ErrorList
from django.utils.encoding import force_unicode
from django.conf import settings
from django.contrib.auth.models import User

from jumbo.forms import ModelForm, ModelSearchForm, DateWidget, DateTimeWidget, MultiFileField
from jumbo.db.forms import AdminModelForm
from jumbo.middleware.thread_local import get_request

from jumbo.apps.project.models import Project

class ProjectForm(ModelForm):
    class Meta:
        model = Project

class ProjectSearchForm(ModelSearchForm):
    class Meta:
        model = Project
        fields = ('name',)
