from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from django.conf import settings

from admin_tools.menu import items, Menu
from jumbo.conf.admin_menu import GenericMenuItem
from jumbo.middleware.thread_local import get_current_user


def get_root_menu(children):
    user = get_current_user()
    if user.has_perm("project.can_view_projects"):
        root_menu = items.MenuItem(
            title=_('Projects'),
            children=[],
            url = reverse('admin:project_project_changelist')
        )
        children.append(root_menu)
    return None