from django.db.models import get_model
from django.http import HttpResponse
from django.utils import simplejson
from django.core.urlresolvers import get_callable

def filterchain(request, app, model, field, default_field, value):
    Model = get_model(app, model)
    keywords = {str(field): str(value)}
    results = Model.objects.filter(**keywords)
    default_obj = None
    # Controllo se il modello ha un campo di default e, se ce l'ha
    # cerco se c'e un oggetto di default da selezionare nella select
    try:
        f = Model._meta.get_field(default_field)
        default_keywords = {str(default_field): True}
        try:
            default_obj = results.filter(**default_keywords)
            if default_obj:
                default_obj = default_obj[0]
        except:
            pass
    except models.FieldDoesNotExist:
        pass

    result = []
    for item in results:
        d = {'value':item.pk, 'display':unicode(item), 'default': False}
        if item == default_obj:
            d['default'] = True
        result.append(d)
    json = simplejson.dumps(result)
    return HttpResponse(json, mimetype='application/json')


def function_filterchain(request, app, model, field, function, value):
    #attrs = request.GET
    #print attrs['default']
    #Model = get_model(app, model)
    #keywords = {str(field): str(value)}
    f = get_callable(function)
    result = f(request, app, model, field, value)
    json = None
    if result:
        json = simplejson.dumps(result)
    return HttpResponse(json, mimetype='application/json')