from jumbo.middleware.thread_local import get_request, get_current_user

def get_query_set(search_class, search_form=None):
    user = get_current_user()
    request = get_request()
    get =  request.GET.copy()

    model_s = search_class()

    orderby = get.get('sort', model_s.default_order_by)
    groupby = get.get('groupby', None)
    if not groupby and hasattr(model_s, "default_group_by"):
        groupby = model_s.default_group_by

    direction = get.get('dir', 'asc')

    if hasattr(model_s, "get_query_set"):
        queryset = model_s.get_query_set(request)
    else:
        queryset = model_s.model.objects.all()

    if search_form:
        if hasattr(model_s, "change_filter"):
            sf = model_s.change_filter(search_form.filter())
        else:
            sf = search_form.filter()
        queryset = queryset.filter(**sf)

    # Se la classe ha un metodo order_by chiamo quello, altrimenti
    # lo gestisco direttamente io in base al campo passato dal javascript
    if hasattr(model_s, "order_by"):
        queryset = model_s.order_by(queryset, orderby, direction)
    else:
        if type(orderby) == type(()):
            if groupby:
                orderby = list(orderby)
                orderby.insert(0, groupby)
            queryset = queryset.order_by(*orderby)
        else:
            orig_orderby = orderby

            if direction == 'desc':
                orderby = "-%s" % orderby
            if groupby and groupby == orig_orderby:
                groupby = orderby

            if groupby:
                queryset = queryset.order_by(groupby, orderby)
            else:
                queryset = queryset.order_by(orderby)
    return queryset

