import os
from django.core.management.base import NoArgsCommand
from django.core.management import call_command

from django.conf import settings

APPLICATIONS = settings.INSTALLED_APPS

class Command(NoArgsCommand):
    help = "Load default fixtures"

    def handle_noargs(self, **options):
        # load default fixtures for non default applications
        # pay attention to the right sequence
        call_command("loaddata", "i18n_data.xml")
        call_command("loaddata", "l10n_data.xml")

        if 'organization' in APPLICATIONS:
            call_command('load_organization_data')

        if 'address' in APPLICATIONS:
            call_command('load_addressscope_data')
        if 'jumbo.apps.service' in APPLICATIONS:
            call_command('load_service_data')

        if 'shop' in APPLICATIONS:
            call_command('load_shop_data')
        if 'store' in APPLICATIONS:
            call_command('load_store_data')

        #if 'newsletter' in APPLICATIONS:
        #    call_command('load_newsletter_data')
