import os

from django import template
from django.utils import numberformat

register = template.Library()

@register.filter
def to_last(value, number):
    try:
        return value[number:]
    except:
        return None

@register.filter
def truncate(value, number):
    try:
        return value[:int(number)]
    except Exception, e:
        return None

@register.filter
def format_excel(value, decimal_pos=2):
    return numberformat.format(
        value,
        '.', decimal_pos, 3, ''
    )

@register.filter
def extension_file(value):
    try:
        ext = os.path.splitext(value)[1]
        return ext[1:]
    except:
        return None
