import os
import re
from setuptools import setup, find_packages


def get_data_files(*args, **kwargs):

    EXT_PATTERN = kwargs.get('ext') or '\.(html|js|txt|css|po|mo|png|gif)'

    data_dict = {}
    for pkg_name in args:
        data_files = []
        for dirpath, dirnames, filenames in os.walk(pkg_name):
            rel_dirpath = re.sub("^" + pkg_name + '/', '',  dirpath)
            # Ignore dirnames that start with '.'
            for i, dirname in enumerate(dirnames):
                if dirname.startswith('.'): del dirnames[i]
            if filenames:
                data_files += [os.path.join(rel_dirpath, f) for f in filenames
                               if re.search(EXT_PATTERN, f)]
        data_dict[pkg_name] = data_files
    return data_dict

setup(
    name = "jumbo-core",
    version = "1.0.9",
    url = 'http://hg.thundersystems.it/jumbo-new/jumbo-contacts/',
    description = "Address, Organization and Payment for Jumbo",
    author = 'ThunderSystems',
    author_email = 'dev@thundersystems.it',
    packages = find_packages('.'),
    package_dir = {'': '.'},
    zip_safe = False,
    
    # packages=['admin_tools', 'dajax', 'dajaxice', 'django_extensions', 
    #           'facebook', 'jogging', 'jumbo', 'lastActivityDate',
    #           'picklefield', 'pyPdf'],    
    install_requires = ['setuptools',
                        'xlwt',
                        'xlrd',
                        'django <= 1.2.7',
                        'django-tinymce',
                        'South<=0.7.3',
                        'django-tinymce',
                        'simplejson',
                        'suds'
                        ],
    package_data=get_data_files('jumbo', 'admin_tools','dajaxice')
    
)

